"use strict";
var fs = require('fs');
var path = require('path');
var childProcess = require('child_process');
exports.runAngularCli = function (angularCliConfig) {
    var port = angularCliConfig.port ? angularCliConfig.port : 4201;
    var cliName = '@angular/cli';
    try {
        fs.accessSync(path.resolve('node_modules/@angular/cli/bin/ng'));
    }
    catch (e) {
        cliName = 'angular-cl';
    }
    var cliPath = "node_modules/" + cliName + "/bin/ng";
    var args = [cliPath, 'serve', '-no-progress'];
    args.push('--port');
    args.push(port.toString());
    if (angularCliConfig.appName) {
        args.push("-a=" + angularCliConfig.appName);
    }
    if (angularCliConfig.environment) {
        args.push("-e=" + angularCliConfig.environment);
    }
    if (angularCliConfig.args) {
        args = args.concat(angularCliConfig.args);
    }
    var ngServe = childProcess.spawn('node', args, { maxBuffer: 1024 * 500 });
    ngServe.stdout.on('data', function (data) {
        write(process.stdout, data);
    });
    ngServe.stderr.on('data', function (data) {
        write(process.stderr, data);
    });
    function write(handler, data) {
        var message = data.toString();
        handler.write("[ng serve]: " + message + "\n");
    }
};
