export function sandboxOf(type, config) {
    return new SandboxBuilder(type, config);
}
export var SandboxBuilder = (function () {
    function SandboxBuilder(_type, _config) {
        if (_config === void 0) { _config = {}; }
        this._type = _type;
        this._config = _config;
        this._scenarios = [];
        this._scenarioCounter = 0;
        this._prependTextAsKey = this._config.prependText || '';
    }
    SandboxBuilder.prototype.add = function (description, config) {
        var key = ++this._scenarioCounter;
        this._scenarios.push(Object.assign({}, config, { key: key, description: description }));
        return this;
    };
    SandboxBuilder.prototype.serialize = function (typeName) {
        return {
            key: "" + this._prependTextAsKey + typeName,
            name: typeName,
            type: this._type,
            scenarios: this._scenarios,
            prependText: this._config.prependText || '',
            imports: this._config.imports || null,
            declarations: this._config.declarations || null,
            providers: this._config.providers || null,
            declareComponent: this._config.declareComponent !== undefined ? this._config.declareComponent : true,
        };
    };
    return SandboxBuilder;
}());
